Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class DiscountParsingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.bea.commerce.ebusiness.discount.DiscountException
                              |
                              +--com.bea.commerce.ebusiness.discount.mgmt.DiscountParsingException

public class DiscountParsingException
extends DiscountException

Indicates that a parsing error occurred while attempting to generate the DOM representation of the discount set. This exception indicates none of the discounts from the set could be deployed.

See Also:
  `com.bea.commerce.ebusiness.discount.mgmt.DiscountMgmt#deploySet`, Serialized Form

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`DiscountParsingException(java.lang.String messageKey)` Class constructor taking key of the associated catalog message.
`DiscountParsingException(java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`DiscountParsingException(java.lang.String messageKey, java.lang.Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`DiscountParsingException(java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscountParsingException

    public DiscountParsingException(java.lang.String messageKey)

  Class constructor taking key of the associated catalog message.

  Parameters:
    `messageKey` - The associated catalog message key.

### DiscountParsingException

    public DiscountParsingException(java.lang.String messageKey,
                                    java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters:
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### DiscountParsingException

    public DiscountParsingException(java.lang.String messageKey,
                                    java.lang.Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### DiscountParsingException

    public DiscountParsingException(java.lang.String messageKey,
                                    java.lang.Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved